Skip to navigation

Update an account

View as Markdown

Updates a customer account by specifying the account-key.

Notes

  1. Only the fields to be changed should be specified. Any field that is not included in the request body will not be changed.
  2. If an empty field is submitted with this operation, the corresponding field in the account is emptied.
  3. Email addresses: If no email addresses are specified, no change is made to the email addresses or to the email delivery preference. If either the personalEmail or workEmail of billToContact is specified (or both), the system updates the corresponding email address(es) and the email delivery preference is set to true. (In that case, emails go to the workEmail address, if it exists, or else the personalEmail.) On the other hand, if as a result of this call both of the email addresses for the account are empty, the email delivery preference is set to false.
  4. The Bill To, Sold To, and Ship To contacts are separate contact entities. However, if you set the soldToSameAsBillTo field to true when creating an account, the Bill To and Sold To contacts will refer to the same contact entity. As a result, updating either contact will update both. The same behavior applies to the shipToSameAsBillTo field and the Ship To contact. In this case, if you want to update only one of the contacts, you must create a new contact and then update the Bill To, Sold To, or Ship To contact to reference the newly created one.

Authentication

AuthorizationBearer

Use Bearer {{token}} in the Authorization header for authentication.

Path parameters

account-keystringRequired
Account number or account ID.

Headers

Accept-EncodingstringOptional

Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response.

If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it.

Content-EncodingstringOptional

Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload.

Zuora-Track-IdstringOptional<=64 characters

A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue.

The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote (').

Zuora-Entity-IdsstringOptional

An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header.

Zuora-Org-IdsstringOptional

Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header.

The IDs must be a sub-set of the user’s accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user’s accessible orgs.

Zuora-VersionstringOptional

The minor API version.

For a list of available minor versions, see API upgrades.

Request

This endpoint expects an object.
additionalEmailAddresseslist of stringsOptional
A list of additional email addresses to receive email notifications. Use commas to separate email addresses.
autoPaybooleanOptional
Whether future payments are to be automatically billed when they are due.
batchstringOptional

The alias name given to a batch. A string of 50 characters or less.

Note: By default, you have 50 configurable account batches. To increase the limit to 200 batches, you must have the Performance Booster Elite package.

billCycleDayintegerOptional

Sets the bill cycle day (BCD) for the charge. The BCD determines which day of the month the customer is billed. Values: Any activated system-defined bill cycle day (1-31)

billToContactobjectOptional

Container for bill-to contact information for this account.

billToContactIdstringOptional

The ID of a contact that will be the bill-to contact of the current account.

communicationProfileIdstringOptional

The ID of the communication profile that this account is linked to.

You can provide either or both of the communicationProfileId and profileNumber fields.

If both are provided, the request will fail if they do not refer to the same communication profile.

creditMemoTemplateIdstringOptional

Note: This field is only available if you have Invoice Settlement enabled. The Invoice Settlement feature is generally available as of Zuora Billing Release 296 (March 2021). This feature includes Unapplied Payments, Credit and Debit Memo, and Invoice Item Settlement. If you want to enable Invoice Settlement, see Invoice Settlement Enablement and Checklist Guide for more information.

The unique ID of the credit memo template, configured in Billing Settings > Manage Billing Document Configuration through the Zuora UI. For example, 2c92c08a6246fdf101626b1b3fe0144b.

crmIdstringOptional
CRM account ID for the account, up to 100 characters.
customerServiceRepNamestringOptional<=50 characters

Name of the account’s customer service representative, if applicable.

debitMemoTemplateIdstringOptional

Note: This field is only available if you have Invoice Settlement enabled. The Invoice Settlement feature is generally available as of Zuora Billing Release 296 (March 2021). This feature includes Unapplied Payments, Credit and Debit Memo, and Invoice Item Settlement. If you want to enable Invoice Settlement, see Invoice Settlement Enablement and Checklist Guide for more information.

The unique ID of the debit memo template, configured in Billing Settings > Manage Billing Document Configuration through the Zuora UI. For example, 2c92c08d62470a8501626b19d24f19e2.

defaultPaymentMethodIdstringOptional<=64 characters

ID of the default payment method for the account.

Values: a valid ID for an existing payment method.

einvoiceProfileobjectOptional

Container for profile information for this account.

Note: This field is available only if you have the E-Invoicing feature in Early Adopter phase enabled.

gatewayRoutingEligiblebooleanOptionalDefaults to false
Indicates whether to include the applicable billing accounts to gateway routing for controlled adoption.
invoiceDeliveryPrefsEmailbooleanOptional

Whether the customer wants to receive invoices through email.

The default value is false.

invoiceDeliveryPrefsPrintbooleanOptional

Whether the customer wants to receive printed invoices, such as through postal mail.

The default value is false.

invoiceTemplateIdstringOptional
Invoice template ID, configured in Billing Settings in the Zuora UI.
namestringOptional
Account name, up to 255 characters.
notesstringOptional
A string of up to 65,535 characters.
parentIdstringOptional

Identifier of the parent customer account for this Account object. The length is 32 characters. Use this field if you have Customer Hierarchy enabled.

partnerAccountbooleanOptionalDefaults to false

Whether the customer account is a partner, distributor, or reseller.

You can set this field to true if you have business with distributors or resellers, or operating in B2B model to manage numerous subscriptions through concurrent API requests. After this field is set to true, the calculation of account metrics is performed asynchronously during operations such as subscription creation, order changes, invoice generation, and payments.

Note: This field is available only if you have the Reseller Account feature enabled.

paymentGatewaystringOptional
The name of the payment gateway instance. If null or left unassigned, the Account will use the Default Gateway.
paymentTermstringOptional

Payment terms for this account. Possible values are Due Upon Receipt, Net 30, Net 60, Net 90.

profileNumberstringOptional

The number of the communication profile that this account is linked to.

You can provide either or both of the communicationProfileId and profileNumber fields.

If both are provided, the request will fail if they do not refer to the same communication profile.

purchaseOrderNumberstringOptional
The purchase order number provided by your customer for services, products, or both purchased.
salesRepstringOptional
The name of the sales representative associated with this account, if applicable. Maximum of 50 characters.
sequenceSetIdstring or nullOptional
The ID of the billing document sequence set to assign to the customer account. The billing documents to generate for this account will adopt the prefix and starting document number configured in the sequence set. If a customer account has no assigned billing document sequence set, billing documents generated for this account adopt the prefix and starting document number from the default sequence set.
shipToContactobjectOptional

Container for optional ship-to contact.

shipToContactIdstringOptional

The ID of a contact that will be the ship-to contact of the current account.

soldToContactobjectOptional

Container for optional sold-to contact.

soldToContactIdstringOptional

The ID of a contact that will be the sold-to contact of the current account.

taggingstringOptional
summaryStatementTemplateIdstring or nullOptional
The summary statement template ID or number. When a user attempts to generate a summary statement from the "Account Summary Statement" screen, the system utilizes this template to produce the PDF.
taxInfoobjectOptional
Container for tax exempt information, used to establish the tax exempt status of a customer account.
Class__NSstringOptional<=255 characters

Value of the Class field for the corresponding customer account in NetSuite. Only available if you have installed the Zuora Connector for NetSuite.

CustomerType__NSenumOptional

Value of the Customer Type field for the corresponding customer account in NetSuite. The Customer Type field is used when the customer account is created in NetSuite. Only available if you have installed the Zuora Connector for NetSuite.

Allowed values:
Department__NSstringOptional<=255 characters

Value of the Department field for the corresponding customer account in NetSuite. Only available if you have installed the Zuora Connector for NetSuite.

IntegrationId__NSstringOptional<=255 characters

ID of the corresponding object in NetSuite. Only available if you have installed the Zuora Connector for NetSuite.

IntegrationStatus__NSstringOptional<=255 characters

Status of the account’s synchronization with NetSuite. Only available if you have installed the Zuora Connector for NetSuite.

Location__NSstringOptional<=255 characters

Value of the Location field for the corresponding customer account in NetSuite. Only available if you have installed the Zuora Connector for NetSuite.

Subsidiary__NSstringOptional<=255 characters

Value of the Subsidiary field for the corresponding customer account in NetSuite. The Subsidiary field is required if you use NetSuite OneWorld. Only available if you have installed the Zuora Connector for NetSuite.

SyncDate__NSstringOptional<=255 characters

Date when the account was sychronized with NetSuite. Only available if you have installed the Zuora Connector for NetSuite.

SynctoNetSuite__NSenumOptional

Specifies whether the account should be synchronized with NetSuite. Only available if you have installed the Zuora Connector for NetSuite.

Allowed values:

Response headers

Content-EncodingstringOptional

This header is returned if you specify the Accept-Encoding: gzip request header and the response contains over 1000 bytes of data.

Note that only the following MIME types support gzipped responses:

  • application/json
  • application/xml
  • text/html
  • text/csv
  • text/plain
RateLimit-LimitstringOptional

The request limit quota for the time window closest to exhaustion. See rate limits for more information.

RateLimit-Remainingdouble

The number of requests remaining in the time window closest to quota exhaustion. See rate limits for more information.

RateLimit-Resetdouble

The number of seconds until the quota resets for the time window closest to quota exhaustion. See rate limits for more information.

Zuora-Request-IdstringOptional
The Zuora internal identifier of the API call. You cannot control the value of this header.
Zuora-Track-IdstringOptional
A custom identifier for tracing the API call. If you specified a tracing identifier in the request headers, Zuora returns the same tracing identifier. Otherwise, Zuora does not set this header.
Concurrency-Limit-TypestringOptional

The type of the concurrency limit, which can be Default, High-volume transactions, or Object Query.

For more information, see Concurrent request limits.

Concurrency-Limit-Limitinteger

The total number of the permitted concurrent requests.

For more information, see Concurrent request limits.

Concurrency-Limit-Remaininginteger

The remaining number of the permitted concurrent requests.

For more information, see Concurrent request limits.

Response

OK
processIdstringOptional
The ID of the process that handles the operation.
reasonslist of objectsOptional

The container of the error code and message. This field is available only if the success field is false.

requestIdstringOptionalformat: "uuid"=36 characters
Unique identifier of the request.
successbooleanOptional
Indicates whether the call succeeded.

Errors

4XX
Client Request Error
500
Internal Server Error